> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST/AML

> 이 API를 사용하여 이미 생성된 Submission에 대해 AML(Anti-Money Laundering) 검색을 수행할 수 있습니다.

## 1. 엔드포인트

```text POST/AML theme={null}
POST https://rest-api.argosidentity.com/v3/submission/aml
```

## 2. 인증

`x-api-key` 헤더에 API 키를 포함시켜야 합니다:

```text x-api-key theme={null}
x-api-key: {yourAPIKey}
```

## 3. 요청 파라미터

<ResponseField name="submissionId" type="string" required="true">
  제출 건의 고유 ID
</ResponseField>

<ResponseField name="amlThreshold" type="int">
  AML 감시시 목록 필터링의 임계점값
</ResponseField>

## 4. 요청 예시

```curl POST/Submission theme={null}
curl --location 'https://rest-api.argosidentity.com/v3/submission/aml' \
--header 'Content-Type: application/json' \
--header 'x-api-key: {yourAPIKey}' \
--data '{
    "submissionId": "sampleSubmissionId11",
    "amlThreshold": 93
}'
```

## 5. 응답

### 5-1. 성공 응답

```json result.json theme={null}
{
    "message": "complete to search AML.",
    "result": "Not Screened",
    "raw_data": {...}
}
```

<Info>
  **AML 스크리닝 결과 코드**: `result` 필드의 값(`Not Screened`, `Red Flag`) 및 리스크 레벨에 대한 자세한 정보는 [AML 데이터베이스 출처 및 코드](/dashboard/ko/aml-source) 문서를 참조하세요.
</Info>

### 5-2. 오류 응답

오류 발생 시 400 상태 코드와 함께 다음과 같은 형식의 응답이 반환됩니다:

```json error.json theme={null}
{
    "errorCode": "invalid_payload",
    "message": "Invalid payload."
}
```

### 5-3. 오류 코드

| 에러 코드                   | 메시지                                         | 설명                                                      |
| ----------------------- | ------------------------------------------- | ------------------------------------------------------- |
| `invalid_payload`       | Invalid payload                             | 요청 본문(페이로드)이 유효하지 않음                                    |
| `missing_parameter`     | submissionId is required                    | 필수 파라미터 누락                                              |
| `invalid_submissionId`  | Cannot find submission.                     | 유효하지 않은 Submission ID                                   |
| `invalid_country`       | The nationality is invalid: `{nationality}` | 유효하지 않은 국가명                                             |
| `request_failed`        | Fail to search AML.                         | AML 검색 중 알 수 없는 오류 발생                                   |
| `invalid_aml_threshold` | Invalid AML Threshold.                      | amlThreshold 파라미터가 입력되지 않았거나, 대시보드에서 AML Threshold 미 설정 |

이 API를 사용하여 특정 Submission에 대한 AML 검색을 수행할 수 있습니다. 오류 발생 시 제공된 오류 코드를 참조하여 문제를 해결하세요.
